/* stylelint-disable at-rule-name-space-after */

.frame-list {
	height: 100%;
	overflow-x: hidden;
}

.frame-list-title {
	font-size: 1.2em;
}

.frame-list-item {
	background-color: $blue-lighter;
}

.frame-list-item + .frame-list-item {
	margin-top: 5px;
}

.frame-list-item-header {
	font-size: 1.1em;
	font-weight: bold;
	margin: 0;
	padding: 7px;
	transition: background-color $default-transition-time;

	&:hover {
		cursor: pointer;
	}

	&:hover,
	&.active {
		background-color: rgba(0, 0, 0, 0.03);
	}
}

.frame-list-item-toggle-indicator,
.frame-list-item-interested {
	@include td-float(right);
	font-size: small;
	opacity: 0.6;
}

.frame-list-item-interested {
	@include td-margin(right, 20px);
}

.frame-list-item-time {
	@include td-margin(right, 10px);
	font-weight: normal;
}

.frame-list-item-region {
	font-size: 0.8em;
	margin-left: 5px;
}

.frame-list-free-seats {
	@include td-float(right);
	display: inline-block;
	font-family: var(--bs-body-font-family);
	font-weight: normal;
	margin-right: 15px;
	position: relative;
	text-align: right;
}

.frame-list-item-header > i {
	margin-top: 2px;
	opacity: 0.6;
}
